Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454888 - Review Request: libgdither - Library for applying dithering to PCM audio sources
Summary: Review Request: libgdither - Library for applying dithering to PCM audio sources
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 456242 RussianFedoraRemix
TreeView+ depends on / blocked
 
Reported: 2008-07-10 15:50 UTC by Nicolas Chauvet (kwizart)
Modified: 2009-05-02 04:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-24 20:41:53 UTC
gwync: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2008-07-10 15:50:53 UTC
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libgdither.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libgdither-0.6-1.fc8.kwizart.src.rpm
Description: Library for applying dithering to PCM audio sources

This package has a fix that will allow gavl to use a shared version instead of an internal one.

Comment 1 Gwyn Ciesla 2008-10-10 16:26:49 UTC
rpmlint on srpm clean.

rpmlint on rpms:

libgdither-devel.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

Anything to put here?

License, naming, macros, scripts, all good.  Full review is very clean.  No BR issues evident after a mock build.

Other than the one minor bit above, we're ready to rock and/or roll.

I'll use my copies to start reviewing gavl.

Comment 2 Nicolas Chauvet (kwizart) 2008-10-16 14:40:29 UTC
Hello, and sorry for the late answear

I think the whole framework could have a issue.
Specially on lib64 system (mutlilibs systems using /usr/lib64 as a standard path for libs). And maybe we have a problem with -FPIC not been used on x86 system. (light library can avoid using Position independant Code for shared libs, but it cannot be prelinked and can gives selinux denials)

I'm still searching for package to test frei0r-plugins usability 
(for now i'm using my own package of LiVES but mlt could be a good candidate)

I will use my public/experimental repository for testing the whole framework against rawhide x86

Comment 3 Zarko (grof) 2009-03-19 07:45:18 UTC
Hello,

What happened with this packet?

I want prepare frei0r-plugins for Fedora but I need this packet as dependency.

I prepare this packet for Fedora 10 so please, if you want to see my spec and src:

http://dl.getdropbox.com/u/728801/kdenlive/sources/libgdither.spec

http://dl.getdropbox.com/u/728801/kdenlive/sources/libgdither-0.6-2.fc10.src.rpm

Please see them.

kind regards, Zarko

Comment 4 Nicolas Chauvet (kwizart) 2009-03-19 09:59:31 UTC
This package is still waiting for a reviewer.

@Zarko
You aren't a sponsored packager at this time, so you need to follow this:
https://fedoraproject.org/wiki/PackageMaintainers/Join

But since ExcludeArch is undeeded, as the package will build at least on our primary arches; Il will stay with:

Spec URL:
http://kwizart.fedorapeople.org/SPECS/libgdither.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/libgdither-0.6-1.fc8.kwizart.src.rpm
Description: Library for applying dithering to PCM audio sources

@Jon
Any news from your side ?

Comment 5 Zarko (grof) 2009-03-19 10:38:19 UTC
(In reply to comment #4)
> This package is still waiting for a reviewer.
> 
> @Zarko
> You aren't a sponsored packager at this time, so you need to follow this:
> https://fedoraproject.org/wiki/PackageMaintainers/Join

Yes, because this packets are my first job and waiting so long.

At this moment I do not have any new packet for build so I do not know how I can be sponsored packager without completely new packets?

BTW, Why these packets are waiting so long for review?

(I mean on gavl and frei0r-plugins, too)

Comment 6 Zarko (grof) 2009-03-19 10:39:08 UTC
(In reply to comment #4)
> This package is still waiting for a reviewer.
> 
> @Zarko
> You aren't a sponsored packager at this time, so you need to follow this:
> https://fedoraproject.org/wiki/PackageMaintainers/Join

Yes, because this packets are my first job and waiting so long.

At this moment I do not have any new packet for build so I do not know how I can be sponsored packager without completely new packets?

BTW, Why these packets are waiting so long for review?

(I mean on gavl and frei0r-plugins, too)

Comment 7 Zarko (grof) 2009-03-19 10:41:02 UTC
(In reply to comment #4)
> This package is still waiting for a reviewer.
> 
> @Zarko
> You aren't a sponsored packager at this time, so you need to follow this:
> https://fedoraproject.org/wiki/PackageMaintainers/Join

Yes, because this packets are my first job and waiting so long.

At this moment I do not have any new packet for build so I do not know how I can be sponsored packager without completely new packets?

BTW, Why these packets are waiting so long for review?

(I mean on gavl and frei0r-plugins, too)

Comment 8 Zarko (grof) 2009-03-19 10:42:09 UTC
(In reply to comment #4)
> This package is still waiting for a reviewer.
> 
> @Zarko
> You aren't a sponsored packager at this time, so you need to follow this:
> https://fedoraproject.org/wiki/PackageMaintainers/Join

Yes, because this packets are my first job and waiting so long.

At this moment I do not have any new packet for build so I do not know how I can be sponsored packager without completely new packets?

BTW, Why these packets are waiting so long for review?

(I mean on gavl and frei0r-plugins, too)

Comment 9 Gwyn Ciesla 2009-03-19 13:43:38 UTC
Nicolas, I'll finish this review shortly, and move from there.

Comment 10 Gwyn Ciesla 2009-03-19 14:47:44 UTC
Looks good still, is there documentation that could go in -devel?  And are the issues you raised in #2 resolved?

Comment 11 Nicolas Chauvet (kwizart) 2009-03-24 01:47:51 UTC
I'm not worried about libgdither itself, I was able to link gavl with libgdither from my own repository (using mock). One can use the mock config files to start testing the packages built from my repository.
What will need more looks is the way the targetted binary (I was testing LiVES) will behaves with the frei0r-plugins

Comment 12 Gwyn Ciesla 2009-03-24 12:29:23 UTC
Ok, then APPROVED.  I'll move on down the chain.

Comment 13 Nicolas Chauvet (kwizart) 2009-03-24 12:41:36 UTC
New Package CVS Request
=======================
Package Name: libgdither
Short Description: Library for applying dithering to PCM audio sources
Owners: kwizart
Branches: F-10 F-9 EL-5
Cvsextras Commits: yes

Comment 14 Kevin Fenzi 2009-03-24 17:21:35 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.